Package wx :: Class VListBox

[frames | no frames]

## Type VListBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
               VScrolledWindow --+
                                 |
                                VListBox

Known Subclasses:
  `HtmlListBox`

Proxy of C++ VListBox class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| `Clear(self)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
bool | `DeselectAll(self)`
PyObject | `GetFirstSelected(self)`
size_t | `GetItemCount(self)`
Point | `GetMargins(self)`
| ``GetNextSelected`(*args, **kwargs)` GetNextSelected(self, unsigned long cookie) -> PyObject
size_t | `GetSelectedCount(self)`
int | `GetSelection(self)`
Colour | `GetSelectionBackground(self)`
bool | `HasMultipleSelection(self)`
bool | `IsCurrent(self, item)`
bool | `IsSelected(self, item)`
| `OnDrawBackground(self, dc, rect, n)`
| `OnDrawSeparator(self, dc, rect, n)`
bool | `Select(self, item, select)`
bool | `SelectAll(self)`
bool | `SelectRange(self, from, to)`
| `SetItemCount(self, count)`
| `SetMargins(self, pt)`
| `SetMarginsXY(self, x, y)`
| `SetSelection(self, selection)`
| `SetSelectionBackground(self, col)`
| `Toggle(self, item)`

Property Summary
| `FirstSelected`: See `GetFirstSelected`
| `ItemCount`: See `GetItemCount` and `SetItemCount`
| `Margins`: See `GetMargins` and `SetMargins`
| `SelectedCount`: See `GetSelectedCount`
| `Selection`: See `GetSelection` and `SetSelection`
| `SelectionBackground`: See `GetSelectionBackground` and `SetSelectionBackground`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=VListBoxNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.VScrolledWindow.__init__` (inherited documentation)

### Create(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=VListBoxNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.VScrolledWindow.Create` (inherited documentation)

### GetNextSelected(*args, **kwargs)

GetNextSelected(self, unsigned long cookie) -> PyObject

Property Details

### FirstSelected

See `GetFirstSelected`

  Get Method:
    `GetFirstSelected`(self)

### ItemCount

See `GetItemCount` and `SetItemCount`

  Get Method:
    `GetItemCount`(self)
  Set Method:
    `SetItemCount`(self, count)

### Margins

See `GetMargins` and `SetMargins`

  Get Method:
    `GetMargins`(self)
  Set Method:
    `SetMargins`(self, pt)

### SelectedCount

See `GetSelectedCount`

  Get Method:
    `GetSelectedCount`(self)

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, selection)

### SelectionBackground

See `GetSelectionBackground` and `SetSelectionBackground`

  Get Method:
    `GetSelectionBackground`(self)
  Set Method:
    `SetSelectionBackground`(self, col)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:40 2007 | http://epydoc.sf.net